Subject: Re: bug#58929: 29.0.50; Calc: finding roots utpn doesn't work as advertised

From: Mattias Engdegård <[email-masked]>
Date: Tue, 8 Nov 2022 12:00:32 +0100

5 nov. 2022 kl. 20.29 skrev Matt Armstrong <[email-masked]>:

> I arrived here because I wanted to use calc to compute 95th and 99th
> percentile confidence intervals of some benchmarking results using the
> Student's t-distribution.

Quantile computations are common and useful enough that they may merit convenience functions in Calc in the future.

> The patch I sent previously, with my (hopefully) useful suggestions in
> the user manual, is probably the end of my useful contribution here.

Your manual changes are fine as far as I'm concerned, but again I haven't worked through them in detail -- maybe you could add tests to confirm the convergence for your recommended starting guesses? That would both help validating your patch and protect against future regressions.